Submit a ticketCall us
Home > Success Center > Log & Event Manager (LEM) > LEM - Knowledgebase Articles > Installer UI Mode Error while installing the local agent on Windows Server 2016

Installer UI Mode Error while installing the local agent on Windows Server 2016

Created by Jason Dee, last modified by Caroline Juszczak on Aug 31, 2018

Views: 897 Votes: 3 Revisions: 7

Updated June 5, 2017

The following error message is displayed when installing the local agent on Windows Server 2016:

 

Installer UI Mode Error

Installer User Interface Mode Not Supported

The installer cannot run in this UI mode. To specify the interface mode, use the -i command-line option, followed by the UI mode identifier. The valid UI modes identifiers are GUI, Console, and Silent.  

installeruimodeerror.png
                                    

Environment

  • LEM 6.3.1 or earlier
  • Windows Local Agent Installer 6.3.1 or earlier
  • Windows Server 2016

Cause

The current installer package for the local agent is not compatible with Windows Server 2016.

Resolution

A new installer package will be used in an upcoming LEM release. As a workaround for current and previous versions, you can push the agent to Windows Server 2016 hosts by using the Windows Remote Agent Installer from a different Windows host that is not running Windows Server 2016. For details on how to use the Remote Agent Installer, see Using the SolarWinds LEM Remote Agent Installer.

 

Last modified

Tags

Classifications

Public